#########################################################
# This file has been automatically generated by gem2tgz #
#########################################################
# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "compat_resource"
  s.version = "12.10.5"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["John Keiser"]
  s.bindir = "files/bin"
  s.date = "2016-06-03"
  s.description = "Bring some new features of Chef 12.5 to previous 12.X releases"
  s.email = "john@johnkeiser.com"
  s.files = ["CHANGELOG.md", "Gemfile", "LICENSE", "README.md", "Rakefile", "files/lib/chef_compat/copied_from_chef.rb", "files/lib/chef_compat/copied_from_chef/chef/constants.rb", "files/lib/chef_compat/copied_from_chef/chef/delayed_evaluator.rb", "files/lib/chef_compat/copied_from_chef/chef/dsl/core.rb", "files/lib/chef_compat/copied_from_chef/chef/dsl/declare_resource.rb", "files/lib/chef_compat/copied_from_chef/chef/dsl/recipe.rb", "files/lib/chef_compat/copied_from_chef/chef/mixin/lazy_module_include.rb", "files/lib/chef_compat/copied_from_chef/chef/mixin/notifying_block.rb", "files/lib/chef_compat/copied_from_chef/chef/mixin/params_validate.rb", "files/lib/chef_compat/copied_from_chef/chef/mixin/powershell_out.rb", "files/lib/chef_compat/copied_from_chef/chef/mixin/properties.rb", "files/lib/chef_compat/copied_from_chef/chef/property.rb", "files/lib/chef_compat/copied_from_chef/chef/provider.rb", "files/lib/chef_compat/copied_from_chef/chef/provider/noop.rb", "files/lib/chef_compat/copied_from_chef/chef/resource.rb", "files/lib/chef_compat/copied_from_chef/chef/resource/action_class.rb", "files/lib/chef_compat/copied_from_chef/chef/resource_builder.rb", "files/lib/chef_compat/mixin/properties.rb", "files/lib/chef_compat/monkeypatches.rb", "files/lib/chef_compat/monkeypatches/chef.rb", "files/lib/chef_compat/monkeypatches/chef/exceptions.rb", "files/lib/chef_compat/monkeypatches/chef/log.rb", "files/lib/chef_compat/monkeypatches/chef/mixin/params_validate.rb", "files/lib/chef_compat/monkeypatches/chef/property.rb", "files/lib/chef_compat/monkeypatches/chef/provider.rb", "files/lib/chef_compat/monkeypatches/chef/recipe.rb", "files/lib/chef_compat/monkeypatches/chef/resource.rb", "files/lib/chef_compat/monkeypatches/chef/resource/lwrp_base.rb", "files/lib/chef_compat/monkeypatches/chef/resource_builder.rb", "files/lib/chef_compat/monkeypatches/chef/resource_collection.rb", "files/lib/chef_compat/monkeypatches/chef/resource_collection/resource_list.rb", "files/lib/chef_compat/monkeypatches/chef/resource_collection/resource_set.rb", "files/lib/chef_compat/monkeypatches/chef/run_context.rb", "files/lib/chef_compat/monkeypatches/chef/runner.rb", "files/lib/chef_compat/property.rb", "files/lib/chef_compat/recipe.rb", "files/lib/chef_compat/resource.rb", "files/lib/chef_compat/resource/lwrp_base.rb", "files/lib/compat_resource.rb", "files/lib/compat_resource/gemspec.rb", "files/lib/compat_resource/version.rb", "files/spec/cookbook_spec.rb", "files/spec/data/Gemfile", "files/spec/data/config.rb", "files/spec/data/cookbooks/cloning/metadata.rb", "files/spec/data/cookbooks/cloning/providers/resource.rb", "files/spec/data/cookbooks/cloning/recipes/default.rb", "files/spec/data/cookbooks/cloning/resources/resource.rb", "files/spec/data/cookbooks/future/libraries/future_custom_resource.rb", "files/spec/data/cookbooks/future/libraries/super_properties.rb", "files/spec/data/cookbooks/future/metadata.rb", "files/spec/data/cookbooks/future/recipes/declare_resource.rb", "files/spec/data/cookbooks/future/resources/resource.rb", "files/spec/data/cookbooks/future/resources/super_resource.rb", "files/spec/data/cookbooks/hybrid/libraries/normal_hwrp.rb", "files/spec/data/cookbooks/hybrid/metadata.rb", "files/spec/data/cookbooks/hybrid/providers/resource.rb", "files/spec/data/cookbooks/hybrid/resources/resource.rb", "files/spec/data/cookbooks/normal/libraries/normal_hwrp.rb", "files/spec/data/cookbooks/normal/metadata.rb", "files/spec/data/cookbooks/normal/providers/resource.rb", "files/spec/data/cookbooks/normal/recipes/declare_resource.rb", "files/spec/data/cookbooks/normal/resources/resource.rb", "files/spec/data/cookbooks/notifications/metadata.rb", "files/spec/data/cookbooks/notifications/recipes/default.rb", "files/spec/data/cookbooks/notifications/resources/resource.rb", "files/spec/data/cookbooks/test/metadata.rb", "files/spec/data/cookbooks/test/recipes/default.rb", "files/spec/data/cookbooks/test/recipes/test.rb", "files/spec/data/nodes/ettores-mbp.lan.json", "files/spec/spec_helper.rb"]
  s.homepage = "http://chef.io"
  s.licenses = ["Apache 2.0"]
  s.require_paths = ["files/lib"]
  s.rubygems_version = "1.8.23"
  s.summary = "Bring some new features of Chef 12.5 to previous 12.X releases"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<chef>, [">= 0"])
      s.add_development_dependency(%q<cheffish>, [">= 0"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<rspec>, [">= 0"])
    else
      s.add_dependency(%q<chef>, [">= 0"])
      s.add_dependency(%q<cheffish>, [">= 0"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<rspec>, [">= 0"])
    end
  else
    s.add_dependency(%q<chef>, [">= 0"])
    s.add_dependency(%q<cheffish>, [">= 0"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<rspec>, [">= 0"])
  end
end
